### Virtual Method

# Hitaki AlsaFirewire create_source

#### Declaration [src]

    gboolean
    create_source (
      HitakiAlsaFirewire* self,
      GSource** source,
      GError** error
    )

#### Description [src]

Allocate `GSource` to handle events from ALSA HwDep character device.

#### Parameters

`source`

  Type: `GSource`

  A `GSource` to handle events from ALSA HwDep character device.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.